ListScheduleActions
Displays a list of the schedule actions on a feed, including the status of each action and, for a failed action, information about why it failed.
Elemental Inference keeps an action whose status is COMPLETED or FAILED for about 48 hours after its scheduled time, and then deletes it automatically.
Request Syntax
GET /v1/feed/id/schedule-actions?maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- id
-
The ID of the feed that you want to query.
Pattern:
[a-z0-9]{19}Required: Yes
- maxResults
-
The maximum number of results to return for each API request. If you don't specify MaxResults, Elemental Inference returns a maximum of 10 results for each page.
Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
The token that identifies the batch of results that you want to see. To see the next batch, submit the request a second time and specify the NextToken value that Elemental Inference returned.
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"scheduleActions": [
{
"actionName": "string",
"error": {
"errorCode": "string",
"errorMessage": "string"
},
"operations": [
{ ... }
],
"startConfiguration": { ... },
"status": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
The token that identifies the next batch of results. Elemental Inference returns it only when more results are available.
Type: String
- scheduleActions
-
A list of the schedule actions on the feed.
Type: Array of ScheduleAction objects
Array Members: Minimum number of 0 items. Maximum number of 100 items.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerErrorException
-
An internal server error occurred. This is a temporary condition and the request can be retried. If the problem persists, contact AWS Support.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource specified in the action doesn't exist.
HTTP Status Code: 404
- TooManyRequestException
-
The request was denied due to request throttling. Too many requests have been made within a given time period. Reduce the frequency of requests and use exponential backoff when retrying.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service. Check the error message for details about which parameter or field is invalid and correct the request before retrying.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: